{
  pkgs ? import <nixpkgs> {},
  deploymentName,
  mkShell,
  nix,
  nix_path,
}:
with pkgs;
  mkShell {
    buildInputs = [
      alejandra # The Uncompromising Nix Code Formatter
      nix # Powerful package manager, makes packaging reliable & reproducible
      nixops_unstable_minimal # work around for issue #127423
      tea # Gitea official CLI client
      treefmt # one CLI to format the code tree
    ];
    shellHook = ''
      export NIX_PATH=${nix_path}
      export NIXOPS_DEPLOYMENT=${deploymentName}
    '';
  }
